Skip to main content
`Ctrl`+`K`

# TSLoad

Loads a `TS` that has been stored in binary with `TSView()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSLoad(TS ts, PetscViewer viewer)

Collective

## Input Parameters

- ts - the newly loaded `TS`, this needs to have been created with `TSCreate()` or some related function before a call to `TSLoad()`.

- viewer - binary file viewer, obtained from `PetscViewerBinaryOpen()`

## Note

The type is determined by the data in the file, any type set into the `TS` before this call is ignored.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `PetscViewer`, `PetscViewerBinaryOpen()`, `TSView()`, `MatLoad()`, `VecLoad()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex28.c

## Implementations

TSLoad_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSLoad_RK() in src/ts/impls/explicit/rk/rk.c
TSLoad_GLEE() in src/ts/impls/glee/glee.c
TSLoad_IRK() in src/ts/impls/implicit/irk/irk.c
TSLoad_MPRK() in src/ts/impls/multirate/mprk.c
TSLoad_RosW() in src/ts/impls/rosw/rosw.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages